Bug 200968 - FC5 suspend and atheros module
FC5 suspend and atheros module
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: pm-utils (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-01 17:04 EDT by rizo83
Modified: 2015-03-04 20:17 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-24 07:04:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description rizo83 2006-08-01 17:04:15 EDT
Description of problem:

So I have problem with the latest ath_pci module from madwifi/ATrpms
(madwifi-hal-kmdl/madwifi-kmdl-2.6.17-1.2157_FC5-0.9.2-24.fc5.at) for my atheros
wifi card.  If I type "rmmod ath_pci" until I see "ath_pci: driver unloaded" in
dmesg (usually 2-3 "rmmod ath_pci" does the trick), I can successfully
hibernate/suspend to disk.  It even resumes and able to connect to the wireless
network!

Now I've tried adding ath_pci to the SUSPEND_MODULES="button ath_pci" line in
/etc/sysconfig/pm but it obviously isn't doing the trick.  Deactivating the
screensaver doesn't allow me to type anything in gnome-terminal, so I resort to
pressing the power button and even then it doesn't properly shutdown even though
it's going throught the process of stopping services and have to press down the
power button.  Since I have to type "rmmod ath_pci" 2-3 times for it to unload,
does pm check if it's completely unloaded or just tries to remove it once and
assumes it's gone?  I've tried adding all the modules that associate to ath_pci
as well with no luck.  Any suggestions for a workaround or fix?


Version-Release number of selected component (if applicable):
kernel-2.6.17-1.2157_FC5
pm-utils-0.15-1
madwifi-kmdl-2.6.17-1.2157_FC5-0.9.2-24.fc5.at
madwifi-hal-kmdl-2.6.17-1.2157_FC5-0.9.2-24.fc5.at
Comment 1 rizo83 2006-08-01 17:08:54 EDT
Let rephrase the second part as my english is gruesome.

Now I've tried adding ath_pci to the SUSPEND_MODULES="button ath_pci" line in
/etc/sysconfig/pm but it obviously isn't doing the trick.  The system starts the
screensaver instead of hibernating.  Deactivating the screensaver doesn't allow
me to type anything in gnome-terminal, so I resort to pressing the power button
and even then it doesn't properly shutdown even though it's going throught the
process of stopping services and have to press down the power button.
Comment 2 rizo83 2006-08-02 16:30:42 EDT
Creating the following ACPI scripts and disabling suspend to disk/mem from pm
using gconf is a workaround.

/etc/acpi/events/sleepbtn
event=button[ /]sleep
action=/etc/acpi/actions/hibernate.sh

/etc/acpi/actions/hibernate.sh
#!/bin/sh
while [ "`lsmod |grep ath_pci`" != "" ] ; do
rmmod -f ath_pci
done
/usr/sbin/pm-hibernate
Comment 3 Peter Jones 2006-09-28 16:56:50 EDT
Does pm-utils 0.19-1 work better for you?
Comment 4 Till Maas 2007-12-24 07:04:23 EST
Fedora 5 is now EOL and there was no response from the reporter for more than
one year, therefore I close this bug. If it is still there in a recent Fedora
release, please file a new bug report.

Note You need to log in before you can comment on or make changes to this bug.